'use client'

import { AuthGuard } from '@/components/auth-guard'
import { UserSettings } from '@/components/dashboard/user-settings'
import { useRoleGuard } from '@/hooks/useRoleGuard'

export default function SellerSettingsPage() {
  useRoleGuard('SELLER')

  return (
    <AuthGuard>
      <UserSettings />
    </AuthGuard>
  )
}
